Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.config.localsearch.decider.selector
Class SelectorConfig

    java.lang.Object
      org.drools.planner.config.localsearch.decider.selector.SelectorConfig

    public class SelectorConfig

extends Object

Field Summary
`protected Boolean` | `shuffle`

Constructor Summary
`SelectorConfig()`

Method Summary
`Selector` | `buildSelector(ScoreDefinition scoreDefinition)`
`MoveFactory` | `getMoveFactory()`
`Class<? extends MoveFactory>` | `getMoveFactoryClass()`
`List<SelectorConfig>` | `getSelectorConfigList()`
`Boolean` | `getShuffle()`
`Integer` | `getTopSize()`
`void` | `inherit(SelectorConfig inheritedConfig)`
`void` | `setMoveFactory(MoveFactory moveFactory)`
`void` | `setMoveFactoryClass(Class<? extends MoveFactory> moveFactoryClass)`
`void` | `setSelectorConfigList(List<SelectorConfig> selectorConfigList)`
`void` | `setShuffle(Boolean shuffle)`
`void` | `setTopSize(Integer topSize)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### shuffle

    protected Boolean shuffle

Constructor Detail

### SelectorConfig

    public SelectorConfig()

Method Detail

### getSelectorConfigList

    public List<SelectorConfig> getSelectorConfigList()

### setSelectorConfigList

    public void setSelectorConfigList(List<SelectorConfig> selectorConfigList)

### getMoveFactory

    public MoveFactory getMoveFactory()

### setMoveFactory

    public void setMoveFactory(MoveFactory moveFactory)

### getMoveFactoryClass

    public Class<? extends MoveFactory> getMoveFactoryClass()

### setMoveFactoryClass

    public void setMoveFactoryClass(Class<? extends MoveFactory> moveFactoryClass)

### getShuffle

    public Boolean getShuffle()

### setShuffle

    public void setShuffle(Boolean shuffle)

### getTopSize

    public Integer getTopSize()

### setTopSize

    public void setTopSize(Integer topSize)

### buildSelector

    public Selector buildSelector(ScoreDefinition scoreDefinition)

### inherit

    public void inherit(SelectorConfig inheritedConfig)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.